## ros-random-numbers 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(random_numbers)

find_package(catkin REQUIRED)

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include
  )

find_package(Boost REQUIRED date_time system thread)
include_directories(${Boost_INCLUDE_DIR})

include_directories(include)

add_library(${PROJECT_NAME}
  src/random_numbers.cpp)

target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib)

install(DIRECTORY include/
        DESTINATION include
        FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-random-numbers (0.3.0-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:06:57 +0100

ros-random-numbers (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #805337)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 25 Dec 2015 22:35:49 +0000

=== debian/control ===
Source: ros-random-numbers
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-date-time-dev, libboost-system-dev, libboost-thread-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/random_numbers
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-random-numbers.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-random-numbers.git

Package: librandom-numbers-dev
Section: libdevel
Architecture: any
Depends: librandom-numbers0d (= ${binary:Version}), ${misc:Depends}, libboost-system-dev, libboost-thread-dev
Description: Robot OS random numbers library - development files 
 This package is part of Robot OS (ROS). It contains a library which
 provides wrappers for generating floating point values, integers,
 and quaternions using boost libraries. The constructor of the wrapper is
 guaranteed to be thread safe and initialize its random number generator to a
 random seed. Seeds are obtained using a separate and different random number
 generator.
 .
 This package contains the development files.

Package: librandom-numbers0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS random numbers library
 This package is part of Robot OS (ROS). It contains a library which
 provides wrappers for generating floating point values, integers,
 and quaternions using boost libraries. The constructor of the wrapper is
 guaranteed to be thread safe and initialize its random number generator to a
 random seed. Seeds are obtained using a separate and different random number
 generator.
 .
 This package contains the library itself.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --buildsystem=cmake

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/random_numbers-$1\.tar\.gz/ \
  https://github.com/ros-planning/random_numbers/releases .*/v?(\d\S*)\.tar\.gz

## ros-random-numbers 0.3.1

=== debian/changelog ===
ros-random-numbers (0.3.1-1build3) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:23:38 +0000

ros-random-numbers (0.3.1-1build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:44:20 +0000

ros-random-numbers (0.3.1-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:31:48 +0000

ros-random-numbers (0.3.1-1) unstable; urgency=medium

  * Imported Upstream version 0.3.1
  * Refresh patches

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 22:59:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ros-random-numbers
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
            Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>

## ros-random-numbers 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,10 +19,8 @@
 target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES})
 
 install(TARGETS ${PROJECT_NAME}
-        ARCHIVE DESTINATION lib
-        LIBRARY DESTINATION lib)
+        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
 
-install(DIRECTORY include/
-        DESTINATION include
-        FILES_MATCHING PATTERN "*.h")
-
+install(DIRECTORY include/${PROJECT_NAME}/
+        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-random-numbers (0.3.2-1build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:34:19 +0000

ros-random-numbers (0.3.2-1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:03:22 +0000

ros-random-numbers (0.3.2-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * Update watch file
  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 0.3.2
  * Bump policy and debhelper version
  * Add Multi-Arch hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 19:28:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-date-time-dev, libboost-system-dev, libboost-thread-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 11), catkin, libboost-date-time-dev, libboost-system-dev, libboost-thread-dev
+Standards-Version: 4.1.4
 Section: libs
-Homepage: http://wiki.ros.org/random_numbers
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-random-numbers.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-random-numbers.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/random_numbers
+Vcs-Browser: https://salsa.debian.org/science-team/ros-random-numbers
+Vcs-Git: https://salsa.debian.org/science-team/ros-random-numbers.git
 
 Package: librandom-numbers-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: librandom-numbers0d (= ${binary:Version}), ${misc:Depends}, libboost-system-dev, libboost-thread-dev
 Description: Robot OS random numbers library - development files 
  This package is part of Robot OS (ROS). It contains a library which

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake

## ros-random-numbers 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(random_numbers)
 
 find_package(catkin REQUIRED)
@@ -18,9 +18,12 @@
 
 target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES})
 
+set_target_properties(${PROJECT_NAME} PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
+
 install(TARGETS ${PROJECT_NAME}
         ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
-        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
+        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
 
 install(DIRECTORY include/${PROJECT_NAME}/
         DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-random-numbers (0.3.3-2) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * Drop boost-system-dev dependency (Closes: #1127269)
  * Bump Standards-Version to 4.7.3
  * Wrap and sort Debian package files
  * Enable all hardening options

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Feb 2026 11:41:50 +0100

ros-random-numbers (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 14:01:32 +0200

ros-random-numbers (0.3.2-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:43:39 +0200

ros-random-numbers (0.3.2-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Thu, 02 Sep 2021 20:15:59 +0200

ros-random-numbers (0.3.2-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 11:47:54 +0100

ros-random-numbers (0.3.2-2) unstable; urgency=medium

  * add Salsa CI
  * Limit d/watch to ROS1
  * Remove Thomas from Uploaders, thanks for working on this
  * bump debhelper and policy versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 08 Jul 2020 19:47:09 +0200

=== debian/control ===
Source: ros-random-numbers
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 catkin (>= 0.8.10-1~),
 libboost-date-time-dev,
 libboost-thread-dev,
Standards-Version: 4.7.3
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/random_numbers
Vcs-Browser: https://salsa.debian.org/science-team/ros-random-numbers
Vcs-Git: https://salsa.debian.org/science-team/ros-random-numbers.git

Package: librandom-numbers-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-thread-dev,
 librandom-numbers0d (= ${binary:Version}),
 ${misc:Depends},
Description: Robot OS random numbers library - development files
 This package is part of Robot OS (ROS). It contains a library which
 provides wrappers for generating floating point values, integers,
 and quaternions using boost libraries. The constructor of the wrapper is
 guaranteed to be thread safe and initialize its random number generator to a
 random seed. Seeds are obtained using a separate and different random number
 generator.
 .
 This package contains the development files.

Package: librandom-numbers0d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS random numbers library
 This package is part of Robot OS (ROS). It contains a library which
 provides wrappers for generating floating point values, integers,
 and quaternions using boost libraries. The constructor of the wrapper is
 guaranteed to be thread safe and initialize its random number generator to a
 random seed. Seeds are obtained using a separate and different random number
 generator.
 .
 This package contains the library itself.

=== debian/watch ===
Version: 5

Template: Github
Owner: ros-planning
Project: random_numbers
Source: https://api.github.com/repos/ros-planning/random_numbers/git/matching-refs/tags/0\.
